| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
"use strict";
export class DECSettingsRequestDto {
constructor(init) { Object.assign(this, init) }
}
export class DECSettingsDto {
/** @param {{IsDecEnabled?:boolean,AccessKeyStrategyUsed?:boolean,AuthorizationHeader?:string,ApiServerUrl?:string,DecAppUrl?:string,DataCenterApiKey?:string,LicenseType?:string,DecAdminBackendPageUrl?:string,ContentAnalyticsApiKeys?:string[]}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {boolean} */
IsDecEnabled;
/** @type {boolean} */
AccessKeyStrategyUsed;
/** @type {string} */
AuthorizationHeader;
/** @type {string} */
ApiServerUrl;
/** @type {string} */
DecAppUrl;
/** @type {string} */
DataCenterApiKey;
/** @type {string} */
LicenseType;
/** @type {string} */
DecAdminBackendPageUrl;
/** @type {string[]} */
ContentAnalyticsApiKeys;
}
JavaScript DECSettingsRequestDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}